io.vertx.ext.dropwizard

## Class Match

- java.lang.Object
- - io.vertx.ext.dropwizard.Match

-     public class Match
      extends Object

  A match for a value.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MatchType` | `DEFAULT_TYPE` The default value : `MatchType.EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Match()` Default constructor
    `Match(JsonObject json)` Create an instance from a `JsonObject`
    `Match(Match other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatchType` | `getType()`
    `String` | `getValue()`
    `Match` | `setType(MatchType type)` Set the type of matching to apply.
    `Match` | `setValue(String value)` Set the matched value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final MatchType DEFAULT_TYPE

      The default value : `MatchType.EQUALS`

  - ### Constructor Detail

    - #### Match

          public Match()

      Default constructor

    - #### Match

          public Match(Match other)

      Copy constructor
      Parameters:
        `other` - The other `Match` to copy when creating this

    - #### Match

          public Match(JsonObject json)

      Create an instance from a `JsonObject`
      Parameters:
        `json` - the JsonObject to create it from

  - ### Method Detail

    - #### getValue

          public String getValue()

      Returns:
        the matched value

    - #### setValue

          public Match setValue(String value)

      Set the matched value.
      Parameters:
        `value` - the value to match
      Returns:
        a reference to this, so the API can be used fluently

    - #### getType

          public MatchType getType()

      Returns:
        the matcher type

    - #### setType

          public Match setType(MatchType type)

      Set the type of matching to apply.
      Parameters:
        `type` - the matcher type
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2015. All rights reserved.